OperationCreateConicalBentPlateByPartsAndTwoRadiuses Method |
Modifies the first plate by adding a conical bend that connects it to the second plate
creating a new BentPlate instance based on two parts. The resulting bend
will have the two given radiuses.
Namespace: Tekla.Structures.Model.Operations
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
public static BentPlate CreateConicalBentPlateByPartsAndTwoRadiuses( Part part1, Part part2, double firstRadius, double secondRadius )
Parameters
- part1
- Type: Tekla.Structures.ModelPart
One part used for creating the bent plate. - part2
- Type: Tekla.Structures.ModelPart
The other part used for creating the bent plate. - firstRadius
- Type: SystemDouble
Radius of one section of the cone - secondRadius
- Type: SystemDouble
Radius of the other section of the cone
Return Value
Type: BentPlateThe bent plate object if successful, null otherwise
See Also